com.sun.grid.jgdi.monitoring

## Interface HostInfo

- All Known Implementing Classes:
    HostInfoImpl

      public interface HostInfo

  Objects of this interface holds the monitoring information about a cluster host.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArch()` Get the architecture of the host
    `java.util.Set<java.lang.String>` | `getDominanceSet()` Get the set of available domincances
    `java.lang.String` | `getHostname()` Get the hostname
    `java.lang.Object` | `getHostValue(java.lang.String name)` Get a host value
    `int` | `getHostValueCount()` Get the number of host values
    `java.util.Set<java.lang.String>` | `getHostValueKeys()` Get the set of host value names
    `int` | `getJobCount()` Get the number of entries in the job list
    `java.util.List<JobInfo>` | `getJobList()` Get the list of jobs which are running on the host
    `java.lang.String` | `getLoadAvg()` Get the load average of the host
    `java.lang.String` | `getMemTotal()` Get the total memory of the host
    `java.lang.String` | `getMemUsed()` Get the used memory of the host
    `java.lang.String` | `getNumberOfProcessors()` Get the number of processors of the host
    `int` | `getQueueCount()` Get the number of entries in the queue list
    `java.util.List<QueueInfo>` | `getQueueList()` Get the list of queues which are available on the host
    `java.lang.Object` | `getResourceValue(java.lang.String dominance, java.lang.String name)` Get a resource value of the host
    `java.util.Set<java.lang.String>` | `getResourceValueNames(java.lang.String dominance)` Get the set of resource names for a dominance
    `java.lang.String` | `getSwapTotal()` Get the size of the swap of the host
    `java.lang.String` | `getSwapUsed()` Get the size of used swap space

- - ### Method Detail

    - #### getHostValue

          java.lang.Object getHostValue(java.lang.String name)

      Get a host value
      Parameters:
        `name` - name of the host value
      Returns:
        the host value or `null`

    - #### getArch

          java.lang.String getArch()

      Get the architecture of the host
      Returns:
        the architecture of the host

    - #### getNumberOfProcessors

          java.lang.String getNumberOfProcessors()

      Get the number of processors of the host
      Returns:
        number of processors of the host

    - #### getLoadAvg

          java.lang.String getLoadAvg()

      Get the load average of the host
      Returns:
        the load average of the host

    - #### getMemTotal

          java.lang.String getMemTotal()

      Get the total memory of the host
      Returns:
        total memory of the host

    - #### getMemUsed

          java.lang.String getMemUsed()

      Get the used memory of the host
      Returns:
        the used memory

    - #### getSwapTotal

          java.lang.String getSwapTotal()

      Get the size of the swap of the host
      Returns:
        size of the swap of the host

    - #### getSwapUsed

          java.lang.String getSwapUsed()

      Get the size of used swap space
      Returns:
        siez of the used swap space

    - #### getHostValueCount

          int getHostValueCount()

      Get the number of host values
      Returns:
        number of host values

    - #### getHostValueKeys

          java.util.Set<java.lang.String> getHostValueKeys()

      Get the set of host value names
      Returns:
        set of host value names

    - #### getResourceValue

          java.lang.Object getResourceValue(java.lang.String dominance,
                                            java.lang.String name)

      Get a resource value of the host
      Parameters:
        `dominance` - dominace of the resource value
        `name` - name of the resource
      Returns:
        the resource value

    - #### getDominanceSet

          java.util.Set<java.lang.String> getDominanceSet()

      Get the set of available domincances
      Returns:
        the set of available domincances

    - #### getResourceValueNames

          java.util.Set<java.lang.String> getResourceValueNames(java.lang.String dominance)

      Get the set of resource names for a dominance
      Parameters:
        `dominance` - the dominance
      Returns:
        set of resource names

    - #### getHostname

          java.lang.String getHostname()

      Get the hostname
      Returns:
        the hostname

    - #### getJobList

          java.util.List<JobInfo> getJobList()

      Get the list of jobs which are running on the host

      Note: The job list is only set if the `QHostOptions.includeJobs` flag is set.

      Returns:
        list of jobs (instances of `JobInfo`)
      See Also:
        `JGDIBase.execQHost(com.sun.grid.jgdi.monitoring.QHostOptions)`

    - #### getJobCount

          int getJobCount()

      Get the number of entries in the job list
      Returns:
        the number of entries in the job list

    - #### getQueueList

          java.util.List<QueueInfo> getQueueList()

      Get the list of queues which are available on the host

      Note: The queue list is only set if the `QHostOptions.includeQueue` flag is set.

      Returns:
        list of queues (instances of `QueueInfo`)
      See Also:
        `JGDIBase.execQHost(com.sun.grid.jgdi.monitoring.QHostOptions)`

    - #### getQueueCount

          int getQueueCount()

      Get the number of entries in the queue list
      Returns:
        the number of entries in the queue list

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.